slepc-3.10.1 2018-10-23
Report Typos and Errors

# PEPSolve

Solves the polynomial eigensystem.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSolve(PEP pep)

Collective on PEP

### Input Parameter

| pep | - eigensolver context obtained from PEPCreate()

### Options Database Keys

| -pep_view | - print information about the solver used
| -pep_view_matk binary | - save any of the coefficient matrices (Ak) to the default binary viewer (replace k by an integer from 0 to nmat-1)
| -pep_view_vectors binary | - save the computed eigenvectors to the default binary viewer
| -pep_view_values | - print computed eigenvalues
| -pep_converged_reason | - print reason for convergence, and number of iterations
| -pep_error_absolute | - print absolute errors of each eigenpair
| -pep_error_relative | - print relative errors of each eigenpair
| -pep_error_backward | - print backward errors of each eigenpair

### See Also

PEPCreate(), PEPSetUp(), PEPDestroy(), PEPSetTolerances()

Location: src/pep/interface/pepsolve.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/pep/examples/tutorials/ex16.c.html
src/pep/examples/tutorials/ex17.c.html
src/pep/examples/tutorials/ex28.c.html
src/pep/examples/tutorials/ex38.c.html
src/pep/examples/tutorials/ex16f90.F90.html
src/pep/examples/nlevp/acoustic_wave_1d.c.html
src/pep/examples/nlevp/acoustic_wave_2d.c.html
src/pep/examples/nlevp/butterfly.c.html
src/pep/examples/nlevp/damped_beam.c.html
src/pep/examples/nlevp/pdde_stability.c.html
src/pep/examples/nlevp/planar_waveguide.c.html